FTreeEditorEvent
Keywords: com.fg.ftree.FTreeEditorEvent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fg.ftree
Class FTreeEditorEvent

    java.lang.Object
      java.util.EventObject
          com.fg.ftree.FTreeNodeEvent
              com.fg.ftree.FTreeEditorEvent

All Implemented Interfaces:
  java.io.Serializable

public class FTreeEditorEvent
extends FTreeNodeEvent

Interface for FTree cell edotors events notification.

Version:
  1.0
Author:
  Felix Golubov
See Also:
  `FTreeEditorListener`, `FTree`, Serialized Form

Constructor Summary
`FTreeEditorEvent(java.lang.Object source, java.lang.Object treeNode, javax.swing.JComponent editor, boolean updateNode, boolean directStopEditing, java.lang.Object innerEvent)`

Method Summary
`void` | `cancelEditing()`
`javax.swing.JComponent` | `getEditor()`
`java.lang.Object` | `getInnerEvent()`
`boolean` | `isCanceled()`
`boolean` | `isDirectStopEditing()`

Methods inherited from class com.fg.ftree.FTreeNodeEvent
`getTreeNode, isNodeEditing, isNodeExpanded, isNodeSelected`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FTreeEditorEvent

    public FTreeEditorEvent(java.lang.Object source,
                            java.lang.Object treeNode,
                            javax.swing.JComponent editor,
                            boolean updateNode,
                            boolean directStopEditing,
                            java.lang.Object innerEvent)

Method Detail

### getEditor

    public javax.swing.JComponent getEditor()

### cancelEditing

    public void cancelEditing()

### isCanceled

    public boolean isCanceled()

### isDirectStopEditing

    public boolean isDirectStopEditing()

### getInnerEvent

    public java.lang.Object getInnerEvent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD